<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (12.0.1) on Mon Oct 14 15:00:42 CEST 2019 -->
<title>S-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-10-14">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="S-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">N</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">T</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><a href="../application/Series.html" title="class in application"><span class="typeNameLink">Series</span></a> - Class in <a href="../application/package-summary.html">application</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../domain/Series.html" title="class in domain"><span class="typeNameLink">Series</span></a> - Class in <a href="../domain/package-summary.html">domain</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Series.html#%3Cinit%3E()">Series()</a></span> - Constructor for class domain.<a href="../domain/Series.html" title="class in domain">Series</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Series.html#%3Cinit%3E(int,java.lang.String,java.lang.String,int,domain.Category,int,java.lang.String,domain.Popularity)">Series(int, String, String, int, Category, int, String, Popularity)</a></span> - Constructor for class domain.<a href="../domain/Series.html" title="class in domain">Series</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../application/Series.html#%3Cinit%3E(services.CategoryService,services.SeriesService)">Series(CategoryService, SeriesService)</a></span> - Constructor for class application.<a href="../application/Series.html" title="class in application">Series</a></dt>
<dd>
<div class="block">Aanmaken nieuw Serie object
 uitvoering programma</div>
</dd>
<dt><a href="../application/SeriesApp.html" title="class in application"><span class="typeNameLink">SeriesApp</span></a> - Class in <a href="../application/package-summary.html">application</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../application/SeriesApp.html#%3Cinit%3E()">SeriesApp()</a></span> - Constructor for class application.<a href="../application/SeriesApp.html" title="class in application">SeriesApp</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../repository/SeriesDAO.html" title="class in repository"><span class="typeNameLink">SeriesDAO</span></a> - Class in <a href="../repository/package-summary.html">repository</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repository/SeriesDAO.html#%3Cinit%3E()">SeriesDAO()</a></span> - Constructor for class repository.<a href="../repository/SeriesDAO.html" title="class in repository">SeriesDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repository/SeriesDAO.html#%3Cinit%3E(java.sql.Connection)">SeriesDAO(Connection)</a></span> - Constructor for class repository.<a href="../repository/SeriesDAO.html" title="class in repository">SeriesDAO</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../repository/SeriesDAOTest.html" title="class in repository"><span class="typeNameLink">SeriesDAOTest</span></a> - Class in <a href="../repository/package-summary.html">repository</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repository/SeriesDAOTest.html#%3Cinit%3E()">SeriesDAOTest()</a></span> - Constructor for class repository.<a href="../repository/SeriesDAOTest.html" title="class in repository">SeriesDAOTest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../services/SeriesService.html" title="class in services"><span class="typeNameLink">SeriesService</span></a> - Class in <a href="../services/package-summary.html">services</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../services/SeriesService.html#%3Cinit%3E(repository.SeriesDAO)">SeriesService(SeriesDAO)</a></span> - Constructor for class services.<a href="../services/SeriesService.html" title="class in services">SeriesService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../services/SeriesServiceTest.html" title="class in services"><span class="typeNameLink">SeriesServiceTest</span></a> - Class in <a href="../services/package-summary.html">services</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../services/SeriesServiceTest.html#%3Cinit%3E()">SeriesServiceTest()</a></span> - Constructor for class services.<a href="../services/SeriesServiceTest.html" title="class in services">SeriesServiceTest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../services/package-summary.html">services</a> - package services</dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Series.html#setCategory(domain.Category)">setCategory(Category)</a></span> - Method in class domain.<a href="../domain/Series.html" title="class in domain">Series</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Series.html#setCategory(java.lang.String)">setCategory(String)</a></span> - Method in class domain.<a href="../domain/Series.html" title="class in domain">Series</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Category.html#setCategoryName(java.lang.String)">setCategoryName(String)</a></span> - Method in class domain.<a href="../domain/Category.html" title="class in domain">Category</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Series.html#setDirector(java.lang.String)">setDirector(String)</a></span> - Method in class domain.<a href="../domain/Series.html" title="class in domain">Series</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Airing.html#setEndDate(java.util.Date)">setEndDate(Date)</a></span> - Method in class domain.<a href="../domain/Airing.html" title="class in domain">Airing</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Series.html#setEpisodes(int)">setEpisodes(int)</a></span> - Method in class domain.<a href="../domain/Series.html" title="class in domain">Series</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Airing.html#setId(int)">setId(int)</a></span> - Method in class domain.<a href="../domain/Airing.html" title="class in domain">Airing</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Category.html#setId(int)">setId(int)</a></span> - Method in class domain.<a href="../domain/Category.html" title="class in domain">Category</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Popularity.html#setId(int)">setId(int)</a></span> - Method in class domain.<a href="../domain/Popularity.html" title="class in domain">Popularity</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Series.html#setId(int)">setId(int)</a></span> - Method in class domain.<a href="../domain/Series.html" title="class in domain">Series</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Series.html#setNetwork(java.lang.String)">setNetwork(String)</a></span> - Method in class domain.<a href="../domain/Series.html" title="class in domain">Series</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Series.html#setPopularity(int)">setPopularity(int)</a></span> - Method in class domain.<a href="../domain/Series.html" title="class in domain">Series</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Series.html#setPopularity(domain.Popularity)">setPopularity(Popularity)</a></span> - Method in class domain.<a href="../domain/Series.html" title="class in domain">Series</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Popularity.html#setPopularity(java.lang.String)">setPopularity(String)</a></span> - Method in class domain.<a href="../domain/Popularity.html" title="class in domain">Popularity</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Popularity.html#setPopularityName(java.lang.String)">setPopularityName(String)</a></span> - Method in class domain.<a href="../domain/Popularity.html" title="class in domain">Popularity</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Airing.html#setSeries(domain.Series)">setSeries(Series)</a></span> - Method in class domain.<a href="../domain/Airing.html" title="class in domain">Airing</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Series.html#setSeriesName(java.lang.String)">setSeriesName(String)</a></span> - Method in class domain.<a href="../domain/Series.html" title="class in domain">Series</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Airing.html#setStartDate(java.util.Date)">setStartDate(Date)</a></span> - Method in class domain.<a href="../domain/Airing.html" title="class in domain">Airing</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Series.html#setYear(int)">setYear(int)</a></span> - Method in class domain.<a href="../domain/Series.html" title="class in domain">Series</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repository/SeriesDAO.html#showSeriesFromYear(int)">showSeriesFromYear(int)</a></span> - Method in class repository.<a href="../repository/SeriesDAO.html" title="class in repository">SeriesDAO</a></dt>
<dd>
<div class="block">Opzoeking alle series volgens jaar</div>
</dd>
<dt><span class="memberNameLink"><a href="../services/SeriesService.html#showSeriesFromYear(int)">showSeriesFromYear(int)</a></span> - Method in class services.<a href="../services/SeriesService.html" title="class in services">SeriesService</a></dt>
<dd>
<div class="block">Weergave series op gekozen jaar
 arraylist: 5 af te trekken van het product van het pagina nummer maal 5.</div>
</dd>
<dt><span class="memberNameLink"><a href="../application/Series.html#startSeries()">startSeries()</a></span> - Method in class application.<a href="../application/Series.html" title="class in application">Series</a></dt>
<dd>
<div class="block">Start series app</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">N</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">T</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
